/***** interface.h ************************************************
 * Description: Header file for user interface.
 * Author: Bernhard Haubold, bernhard.haubold@fh-weihenstephan.de
 * File created on Sun Jun 20 13:07:28 2004.
 *****************************************************************/
#define MAXLINE 1000

/* define argument container */
typedef struct args{
  char *argv;      /* the argument string */
  float p;         /* g/c content */
  double l;        /* genome length */
  int h;           /* print help line */
  int r;           /* include reverse complement */
  int s;           /* shustring length */
  int P;           /* print program information */
  int e;           /* error */
} Args;

Args getArgs(int argc, char *argv[]);
void printUsage(char *version);
void printSplash(char *version);
